aboutsummaryrefslogtreecommitdiffstats
path: root/catgets/test-gencat.sh
diff options
context:
space:
mode:
authorDmitry V. Levin <ldv@altlinux.org>2012-09-24 20:52:13 +0000
committerDmitry V. Levin <ldv@altlinux.org>2012-09-25 02:48:31 +0000
commit57c69bef13298a3fbcedebf4c5fcecc690b75efb (patch)
tree9cc9d909afcb9e8b6c23697bdb48901e80d7addb /catgets/test-gencat.sh
parent9a9028b1fe1519262fcbf0b7ede708d4ebbffbd7 (diff)
downloadtermbaud-57c69bef13298a3fbcedebf4c5fcecc690b75efb.tar.gz
termbaud-57c69bef13298a3fbcedebf4c5fcecc690b75efb.tar.xz
termbaud-57c69bef13298a3fbcedebf4c5fcecc690b75efb.zip
Set "fail on error" mode directly in testsuite shell scripts
Diffstat (limited to 'catgets/test-gencat.sh')
-rwxr-xr-xcatgets/test-gencat.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/catgets/test-gencat.sh b/catgets/test-gencat.sh
index 50594bc351..c884b8f200 100755
--- a/catgets/test-gencat.sh
+++ b/catgets/test-gencat.sh
@@ -1,8 +1,7 @@
#! /bin/sh
# Test escape character handling in gencat.
-# Copyright (C) 2000, 2001, 2002 Free Software Foundation, Inc.
+# Copyright (C) 2000-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
-#
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
@@ -18,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1
run_program_prefix=$2